#pragma once

#include "compat.h"

#include "Singleton.h"

class CarmaManager :
	public TSingleton<CarmaManager>
{
public:
	CarmaManager();
	~CarmaManager();
	void initialize( void );

protected:
	bool m_isInitialized;
	
};